@import '../../../../main-style.scss';
.note-card-container {
    position: relative;
    background: white;
    border-radius: 5px;
    box-shadow: 0px 2px 15px 2px rgba(black, 0.068);
    &:hover {
        cursor: pointer;
        box-shadow: 0px 0px 0px 4px rgba(black, 0.068);
        transition: box-shadow 0.25s ease-out;
        .x-button {
            opacity: 1;
        }
    }
    .note-card-content {
        padding: 1.5rem;
        .note-card-title {
            font-size: 1rem;
            font-weight: bold;
            color: $purple;
        }
        .note-card-body {
            position: relative;
            max-height: 5rem;
            font-size: 0.8rem;
            overflow: hidden;
            .fade-out-truncation {
                position: absolute;
                pointer-events: none;
                bottom: 0;
                height: 50%;
                width: 100%;
                background: linear-gradient(to bottom, rgba(white, 0) 0%, rgba(white, 0.8) 50%, white 100%);
            }
        }
    }
}

.x-button {
    position: absolute;
    top: 1rem;
    right: 1rem;
    height: 2rem;
    width: 2rem;
    background-color: $light-red;
    border-radius: 4px;
    background-image: url('../../../../assets/delete_icon.svg');
    background-repeat: no-repeat;
    background-position: center;
    transition: opacity 0.3.5s ease-out, transform 0.2s ease-out;
    opacity: 0;
    &:hover {
        background-color: darken($light-red, 3%);
    }
    &:active {
        background-color: darken($light-red, 5%);
    }
}